#include<fstream>
using namespace std;
int main()
{
	ifstream f1("LASTZERO.INP");
	ofstream f2("LASTZERO.OUT");
	int n;
	f1>>n;
	f1.close();
	long long p=5;
	int u=0;
	while(p<=n)
	{
		u+=n/p;
		p*=5;
	}
	f2<<u;
	f2.close();
	return 0;
}
